Summary: Shared color profiles to be used in color management aware applications
Name: shared-color-profiles
Version: 0.1.4
Release: %mkrel 1
URL: http://github.com/hughsie/shared-color-profiles
Source0: http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
License: GPLv2+ and Public Domain and zlib and MIT
Group:	   System/Libraries
BuildArch: noarch
Requires: color-filesystem
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
The shared-color-profiles package contains various profiles which are useful for
programs that are color management aware.
This package only contains the free profiles that can be safely distributed
with Fedora.

%package extra
Summary: More color profiles for color management that are less commonly used
Requires: %{name} = %{version}-%{release}
Group:	   System/Libraries

%description extra
More color profiles for color management that are less commonly used.
This may be useful for CMYK soft-proofing or for extra device support.

%prep
%setup -q

%build
%configure2_5x

%install
make install DESTDIR=$RPM_BUILD_ROOT


rm -f $RPM_BUILD_ROOT/%{_datadir}/color/icc/bluish.icc


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%dir %{_datadir}/shared-color-profiles

# Argyll
%dir %{_datadir}/color/icc/Argyll
%dir %{_datadir}/shared-color-profiles/Argyll
%{_datadir}/shared-color-profiles/Argyll/*

# common colorspaces
%{_datadir}/color/icc/Argyll/lab2lab.icm
%{_datadir}/color/icc/Argyll/*RGB*.ic?

# so we can display at least something in the default dropdown
%{_datadir}/color/icc/Fogra27L.icc
%{_datadir}/color/icc/Oysonar/Gray.icc

# monitor test profiles
%{_datadir}/color/icc/AdobeGammaTest.icm

# abstract profiles
%{_datadir}/color/icc/Yamma
%{_datadir}/shared-color-profiles/Yamma

%files extra
%defattr(-,root,root,-)

# Oysonar
%dir %{_datadir}/color/icc/Oysonar
%{_datadir}/color/icc/Oysonar/FOGRA*.icc
%{_datadir}/color/icc/Oysonar/GRACoL*.icc
%{_datadir}/color/icc/Oysonar/SNAP*.icc
%{_datadir}/color/icc/Oysonar/SWOP*.icc
%{_datadir}/color/icc/Oysonar/Gray-CIE_L.icc
%{_datadir}/shared-color-profiles/Oysonar/*



%changelog
* Wed Jul 13 2016 adrianomorselli <adrianomorselli> 0.1.4-1uplos2011
- rebuild

* Thu Aug 25 2011 Texstar <texstar at gmail.com> 0.1.4-1pclos2011
- 0.1.4
